[UX] Improve history sidebar
Created attachment 8398161
Screen Shot 2014-03-27 at 3.18.42 PM.png

Improve the history sidebar design. Include but not limited to:

• Better structure
• New icons
• Australis visual style

Attached shorlander's mockup as inspiration.